%global pypi_name treq


%global with_doc 0

Name:           python-%{pypi_name}
Version:        23.11.0
Release:        %mkrel 1
Summary:        A requests-like API built on top of twisted.web's Agent
Group:          Development/Python
License:        MIT
URL:            https://github.com/twisted/treq
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%if 0%{?with_doc}
BuildRequires:  python3-twisted
BuildRequires:  python3-sphinx
%endif
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-incremental

%description
treq is an HTTP library inspired by requests but written on top of
Twisted’s Agents.
It provides a simple, higher level API for making HTTP requests
when using Twisted.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-incremental
Requires:       python3-requests >= 2.1.0
Requires:       python3-six
Requires:       python3-twisted >= 16.3.0
Requires:       python3-attrs
%description -n python3-%{pypi_name}
treq is an HTTP library inspired by requests but written on top of
Twisted’s Agents.
It provides a simple, higher level API for making HTTP requests
when using Twisted.

%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:        treq documentation
%description -n python-%{pypi_name}-doc
Documentation for treq
%endif

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
%if 0%{?with_doc}
# generate html docs
export PYTHONPATH=%{python2_sitelib}:%{python3_sitelib}:src
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc html
%endif



%changelog
* Mon Jan 01 2024 joequant <joequant> 23.11.0-1.mga10
+ Revision: 2024928
- update to 23.11.0 / py3.12

* Thu Mar 24 2022 umeabot <umeabot> 22.2.0-2.mga9
+ Revision: 1824904
- Mageia 9 Mass Rebuild
+ tv <tv>
- Use %%mkrel !!

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 22.2.0-1.mga9
+ Revision: 1781540
- version 22.2.0
- rebuild for python-3.10

* Sun Jul 25 2021 joequant <joequant> 21.5.0-1.mga9
+ Revision: 1737667
- update to 21.5.0

* Wed Mar 31 2021 joequant <joequant> 21.1.0-1.mga9
+ Revision: 1712171
- imported package python-treq

